Package org.silverpeas.components.suggestionbox.model

## Enum SuggestionCriteria.JOIN_DATA_APPLY

- java.lang.Object
- - java.lang.Enum<SuggestionCriteria.JOIN_DATA_APPLY>
  - - org.silverpeas.components.suggestionbox.model.SuggestionCriteria.JOIN_DATA_APPLY

- All Implemented Interfaces:
    `Serializable`, `Comparable<SuggestionCriteria.JOIN_DATA_APPLY>`
  Enclosing class:
    SuggestionCriteria

      public static enum SuggestionCriteria.JOIN_DATA_APPLY
      extends Enum<SuggestionCriteria.JOIN_DATA_APPLY>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMMENT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SuggestionCriteria.JOIN_DATA_APPLY` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SuggestionCriteria.JOIN_DATA_APPLY[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMENT

          public static final SuggestionCriteria.JOIN_DATA_APPLY COMMENT

  - ### Method Detail

    - #### values

          public static SuggestionCriteria.JOIN_DATA_APPLY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SuggestionCriteria.JOIN_DATA_APPLY c : SuggestionCriteria.JOIN_DATA_APPLY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SuggestionCriteria.JOIN_DATA_APPLY valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null